// 分享库
const mongoose = require('mongoose');
const Schema = mongoose.Schema;
const shareSchema = new Schema({
    ID: String,
    compilationID: String,
    owner: String, // 拥有者ID
    receiver: String, // 接收者ID
    libType: Number, // 1: 定额库； 2: 人材机库; 3: 组件模板库;
    allowCooperate: {
        type: Boolean,
        default: false
    },
    shareDate: String,
    updateDate: String
}, {versionKey: false});

mongoose.model('share_libs', shareSchema, 'share_libs');